<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Drop Temporary Table</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for dropTempTable {SparkR}"><tr><td>dropTempTable {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>Drop Temporary Table</h2>

<h3>Description</h3>

<p>Drops the temporary table with the given table name in the catalog.
If the table has been cached/persisted before, it's also unpersisted.
</p>


<h3>Usage</h3>

<pre>
dropTempTable(sqlContext, tableName)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>sqlContext</code></td>
<td>
<p>SQLContext to use</p>
</td></tr>
<tr valign="top"><td><code>tableName</code></td>
<td>
<p>The name of the SparkSQL table to be dropped.</p>
</td></tr>
</table>


<h3>Examples</h3>

<pre>
## Not run: 
sc &lt;- sparkR.init()
sqlContext &lt;- sparkRSQL.init(sc)
df &lt;- read.df(sqlContext, path, "parquet")
registerTempTable(df, "table")
dropTempTable(sqlContext, "table")

## End(Not run)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
